Skip to main content

App

View as Markdown

App object

namestring

The name of the app. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.

Example: my-custom-app

Constraints: [ 2 .. 30 ] characters

descriptionstring

The description of the app.

Example: My app description.

Constraints: <= 500 characters

compute_statusobject
Show child attributesHide child attributes
statestring

State of the app compute.

Values: COMPUTE_STATE_UNSPECIFIED, ERROR, DELETING, STARTING, STOPPING, UPDATING, STOPPED, ACTIVE

messagestring

Compute status message

Example: App compute is active.

app_statusobject
Show child attributesHide child attributes
statestring

State of the application.

Values: APPLICATION_STATE_UNSPECIFIED, DEPLOYING, RUNNING, CRASHED, UNAVAILABLE

messagestring

Application status message

Example: Application is running.

urlstring

The URL of the app once it is deployed.

Example: my-custom-app-123.cloud.databricksapps.com

active_deploymentobject

The active deployment of the app. A deployment is considered active when it has been deployed to the app compute.

Show child attributesHide child attributes
deployment_idstring

The unique id of the deployment.

Example: 01ef0bda89f21f08a8351f41e4a9b948

source_code_pathstring

The workspace file system path of the source code used to create the app deployment. This is different from deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.

Example: /Workspace/user@test.com/my_custom_app

git_sourceobjectGA

Git repository to use as the source for the app deployment.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstring

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstring

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstring

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstringGA

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

modestring

The mode of which the deployment will manage the source code.

Values: MODE_UNSPECIFIED, SNAPSHOT, AUTO_SYNC

deployment_artifactsobject

The deployment artifacts for an app.

Show child attributesHide child attributes
source_code_pathstring

The snapshotted workspace file system path of the source code loaded by the deployed app.

Example: /Workspace/Users/9627a015-e892-43f7-9085-eec3892da408/src/01ef1a1ed75d1964b62234a35efa61fc

statusobject

Status and status message of the deployment

Show child attributesHide child attributes
statestring

State of the deployment.

Values: STATE_UNSPECIFIED, SUCCEEDED, FAILED, IN_PROGRESS, CANCELLED

messagestring

Message corresponding with the deployment state.

Example: Deployment is in progress.

create_timestring

The creation time of the deployment. Formatted timestamp in ISO 6801.

creatorstring

The email of the user creates the deployment.

Example: user@test.com

update_timestring

The update time of the deployment. Formatted timestamp in ISO 6801.

commandarray of stringGA

The command with which to run the app. This will override the command specified in the app.yaml file.

Example: python app.py

env_varsarray of objectGA

The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.

Show child attributesHide child attributes
namestringGA

The name of the environment variable.

Example: VOLUME_URI

valuestringGA

The value for the environment variable.

Example: /Volumes/catalog-name/schema-name/dir-name

value_fromstringGA

The name of an external <Databricks> resource that contains the value, such as a secret or a database table.

Example: volume

create_timestring

The creation time of the app. Formatted timestamp in ISO 6801.

creatorstring

The email of the user that created the app.

Example: user@test.com

update_timestring

The update time of the app. Formatted timestamp in ISO 6801.

updaterstring

The email of the user that last updated the app.

Example: user@test.com

pending_deploymentobject

The pending deployment of the app. A deployment is considered pending when it is being prepared for deployment to the app compute.

Show child attributesHide child attributes
deployment_idstring

The unique id of the deployment.

Example: 01ef0bda89f21f08a8351f41e4a9b948

source_code_pathstring

The workspace file system path of the source code used to create the app deployment. This is different from deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.

Example: /Workspace/user@test.com/my_custom_app

git_sourceobjectGA

Git repository to use as the source for the app deployment.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstring

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstring

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstring

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstringGA

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

modestring

The mode of which the deployment will manage the source code.

Values: MODE_UNSPECIFIED, SNAPSHOT, AUTO_SYNC

deployment_artifactsobject

The deployment artifacts for an app.

Show child attributesHide child attributes
source_code_pathstring

The snapshotted workspace file system path of the source code loaded by the deployed app.

Example: /Workspace/Users/9627a015-e892-43f7-9085-eec3892da408/src/01ef1a1ed75d1964b62234a35efa61fc

statusobject

Status and status message of the deployment

Show child attributesHide child attributes
statestring

State of the deployment.

Values: STATE_UNSPECIFIED, SUCCEEDED, FAILED, IN_PROGRESS, CANCELLED

messagestring

Message corresponding with the deployment state.

Example: Deployment is in progress.

create_timestring

The creation time of the deployment. Formatted timestamp in ISO 6801.

creatorstring

The email of the user creates the deployment.

Example: user@test.com

update_timestring

The update time of the deployment. Formatted timestamp in ISO 6801.

commandarray of stringGA

The command with which to run the app. This will override the command specified in the app.yaml file.

Example: python app.py

env_varsarray of objectGA

The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.

Show child attributesHide child attributes
namestringGA

The name of the environment variable.

Example: VOLUME_URI

valuestringGA

The value for the environment variable.

Example: /Volumes/catalog-name/schema-name/dir-name

value_fromstringGA

The name of an external <Databricks> resource that contains the value, such as a secret or a database table.

Example: volume

resourcesarray of object

Resources for the app.

Show child attributesHide child attributes
namestring

Name of the App Resource.

Example: api-key

Constraints: [ 2 .. 30 ] characters

descriptionstring

Description of the App Resource.

Example: API key for external service.

Constraints: <= 50 characters

secretobject
Show child attributesHide child attributes
scopestring

Scope of the secret to grant permission on.

Example: my-scope

keystring

Key of the secret to grant permission on.

Example: my-key

permissionstring

Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".

Values: READ, WRITE, MANAGE

Example: READ

sql_warehouseobject
Show child attributesHide child attributes
idstring

Id of the SQL warehouse to grant permission on.

Example: e9ca293f79a74b5c

permissionstring

Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".

Values: CAN_MANAGE, CAN_USE, IS_OWNER

Example: CAN_USE

serving_endpointobject
Show child attributesHide child attributes
namestring

Name of the serving endpoint to grant permission on.

Example: databricks-meta-llama-3-1-70b-instruct

permissionstring

Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".

Values: CAN_MANAGE, CAN_QUERY, CAN_VIEW

Example: CAN_QUERY

jobobject
Show child attributesHide child attributes
idstring

Id of the job to grant permission on.

Example: 1234

permissionstring

Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".

Values: CAN_MANAGE, IS_OWNER, CAN_MANAGE_RUN, CAN_VIEW

Example: CAN_VIEW

uc_securableobject
Show child attributesHide child attributes
securable_full_namestring

Example: my-catalog.my-schema.my-volume

securable_typestring

Values: VOLUME, TABLE, FUNCTION, CONNECTION

Example: VOLUME

permissionstring

Values: READ_VOLUME, WRITE_VOLUME, SELECT, EXECUTE, USE_CONNECTION, MODIFY

securable_kindstringGA

The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.

databaseobject
Show child attributesHide child attributes
instance_namestring

Example: my-database-instance

database_namestring

Example: my-database

permissionstring

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

genie_spaceobject
Show child attributesHide child attributes
namestring

Example: my-genie-space

space_idstring

Example: 550e8400-e29b-41d4-a716-446655440000

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_RUN, CAN_VIEW

Example: CAN_MANAGE

experimentobject
Show child attributesHide child attributes
experiment_idstring

Example: 1021971371025173

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_READ

Example: CAN_MANAGE

appobjectGA
Show child attributesHide child attributes
namestringGA

Example: my-app

permissionstringGA

Values: CAN_USE

Example: CAN_USE

postgresobjectGA
Show child attributesHide child attributes
branchstringGA

Example: projects/proj-abc123/branches/branch-xyz789

databasestringGA

Example: projects/proj-abc123/branches/branch-xyz789/databases/db-456

permissionstringGA

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

service_principal_idint64
service_principal_namestring
default_source_code_pathstring

The default workspace file system path of the source code from which app deployment are created. This field tracks the workspace source code path of the last active deployment.

Example: /Workspace/user@test.com/my_custom_app

default_git_sourceobjectBeta

The Git source of the app's most recent active deployment, including the repository configuration and the resolved reference. Populated by the system after a Git-based deployment and used as the default reference when automatic deployments are enabled.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstring

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstring

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstring

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstringGA

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

budget_policy_idstringPublic Preview

Constraints: = 36 characters

effective_budget_policy_idstringPublic Preview
service_principal_client_idstring
user_api_scopesarray of stringPublic Preview
idstring

The unique identifier of the app.

effective_user_api_scopesarray of stringPublic Preview

The effective api scopes granted to the user access token.

oauth2_app_integration_idstringPublic Preview
oauth2_app_client_idstringPublic Preview
compute_sizestringGA

Values: MEDIUM, LARGE, XLARGE

usage_policy_idstringPublic Preview

Constraints: = 36 characters

effective_usage_policy_idstringPublic Preview
git_repositoryobjectGA

Git repository configuration for app deployments. When specified, deployments can reference code from this repository by providing only the git reference (branch, tag, or commit).

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

telemetry_export_destinationsarray of objectPublic Preview
Show child attributesHide child attributes
unity_catalogobjectPublic Preview
Show child attributesHide child attributes
logs_tablestringPublic Preview

Unity Catalog table for OTEL logs.

metrics_tablestringPublic Preview

Unity Catalog table for OTEL metrics.

traces_tablestringPublic Preview

Unity Catalog table for OTEL traces (spans).

thumbnail_urlstringGA

The URL of the thumbnail image for the app.

Example: /ajax-api/2.0/thumbnails/raw/apps/{id}/SMALL_DEFAULT.png

source_code_pathstringBeta

Example: /Workspace/user@test.com/my_custom_app

git_sourceobjectBeta

The Git source to deploy from, specifying the reference to check out (branch, tag, or commit) and an optional path to the app source code within the repository configured in git_repository.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstring

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstring

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstring

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstringGA

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

Get GA

GET /api/2.0/apps/{name}

Retrieves information for the app with the supplied name.

API scopes: apps

Parameters

namestringpath

The name of the app.

Response

Returns the App object.

List GA

GET /api/2.0/apps

Lists all apps in the workspace.

API scopes: apps

Parameters

page_tokenstringquery

Pagination token to go to the next page of apps. Requests first page if absent.

page_sizeint32query

Upper bound for items returned.

Response

Returns a list of App objects.

Create GA

POST /api/2.0/apps

Creates a new app.

API scopes: apps

Parameters

no_computebooleanquery

If true, the app will not be started after creation.

Request body

appobject
Show child attributesHide child attributes
namestring

The name of the app. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.

Example: my-custom-app

Constraints: [ 2 .. 30 ] characters

descriptionstring

The description of the app.

Example: My app description.

Constraints: <= 500 characters

compute_statusobject
Show child attributesHide child attributes
statestring

State of the app compute.

Values: COMPUTE_STATE_UNSPECIFIED, ERROR, DELETING, STARTING, STOPPING, UPDATING, STOPPED, ACTIVE

messagestring

Compute status message

Example: App compute is active.

app_statusobject
Show child attributesHide child attributes
statestring

State of the application.

Values: APPLICATION_STATE_UNSPECIFIED, DEPLOYING, RUNNING, CRASHED, UNAVAILABLE

messagestring

Application status message

Example: Application is running.

urlstring

The URL of the app once it is deployed.

Example: my-custom-app-123.cloud.databricksapps.com

active_deploymentobject

The active deployment of the app. A deployment is considered active when it has been deployed to the app compute.

Show child attributesHide child attributes
deployment_idstring

The unique id of the deployment.

Example: 01ef0bda89f21f08a8351f41e4a9b948

source_code_pathstring

The workspace file system path of the source code used to create the app deployment. This is different from deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.

Example: /Workspace/user@test.com/my_custom_app

git_sourceobject

Git repository to use as the source for the app deployment.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

modestring

The mode of which the deployment will manage the source code.

Values: MODE_UNSPECIFIED, SNAPSHOT, AUTO_SYNC

deployment_artifactsobject

The deployment artifacts for an app.

Show child attributesHide child attributes
source_code_pathstring

The snapshotted workspace file system path of the source code loaded by the deployed app.

Example: /Workspace/Users/9627a015-e892-43f7-9085-eec3892da408/src/01ef1a1ed75d1964b62234a35efa61fc

statusobject

Status and status message of the deployment

Show child attributesHide child attributes
statestring

State of the deployment.

Values: STATE_UNSPECIFIED, SUCCEEDED, FAILED, IN_PROGRESS, CANCELLED

messagestring

Message corresponding with the deployment state.

Example: Deployment is in progress.

create_timestring

The creation time of the deployment. Formatted timestamp in ISO 6801.

creatorstring

The email of the user creates the deployment.

Example: user@test.com

update_timestring

The update time of the deployment. Formatted timestamp in ISO 6801.

commandarray of string

The command with which to run the app. This will override the command specified in the app.yaml file.

Example: python app.py

env_varsarray of object

The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.

Show child attributesHide child attributes
namestring

The name of the environment variable.

Example: VOLUME_URI

valuestringRequired

The value for the environment variable.

Example: /Volumes/catalog-name/schema-name/dir-name

value_fromstringRequired

The name of an external <Databricks> resource that contains the value, such as a secret or a database table.

Example: volume

create_timestring

The creation time of the app. Formatted timestamp in ISO 6801.

creatorstring

The email of the user that created the app.

Example: user@test.com

update_timestring

The update time of the app. Formatted timestamp in ISO 6801.

updaterstring

The email of the user that last updated the app.

Example: user@test.com

pending_deploymentobject

The pending deployment of the app. A deployment is considered pending when it is being prepared for deployment to the app compute.

Show child attributesHide child attributes
deployment_idstring

The unique id of the deployment.

Example: 01ef0bda89f21f08a8351f41e4a9b948

source_code_pathstring

The workspace file system path of the source code used to create the app deployment. This is different from deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.

Example: /Workspace/user@test.com/my_custom_app

git_sourceobject

Git repository to use as the source for the app deployment.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

modestring

The mode of which the deployment will manage the source code.

Values: MODE_UNSPECIFIED, SNAPSHOT, AUTO_SYNC

deployment_artifactsobject

The deployment artifacts for an app.

Show child attributesHide child attributes
source_code_pathstring

The snapshotted workspace file system path of the source code loaded by the deployed app.

Example: /Workspace/Users/9627a015-e892-43f7-9085-eec3892da408/src/01ef1a1ed75d1964b62234a35efa61fc

statusobject

Status and status message of the deployment

Show child attributesHide child attributes
statestring

State of the deployment.

Values: STATE_UNSPECIFIED, SUCCEEDED, FAILED, IN_PROGRESS, CANCELLED

messagestring

Message corresponding with the deployment state.

Example: Deployment is in progress.

create_timestring

The creation time of the deployment. Formatted timestamp in ISO 6801.

creatorstring

The email of the user creates the deployment.

Example: user@test.com

update_timestring

The update time of the deployment. Formatted timestamp in ISO 6801.

commandarray of string

The command with which to run the app. This will override the command specified in the app.yaml file.

Example: python app.py

env_varsarray of object

The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.

Show child attributesHide child attributes
namestring

The name of the environment variable.

Example: VOLUME_URI

valuestringRequired

The value for the environment variable.

Example: /Volumes/catalog-name/schema-name/dir-name

value_fromstringRequired

The name of an external <Databricks> resource that contains the value, such as a secret or a database table.

Example: volume

resourcesarray of object

Resources for the app.

Show child attributesHide child attributes
namestring

Name of the App Resource.

Example: api-key

Constraints: [ 2 .. 30 ] characters

descriptionstring

Description of the App Resource.

Example: API key for external service.

Constraints: <= 50 characters

secretobjectRequired
Show child attributesHide child attributes
scopestring

Scope of the secret to grant permission on.

Example: my-scope

keystring

Key of the secret to grant permission on.

Example: my-key

permissionstring

Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".

Values: READ, WRITE, MANAGE

Example: READ

sql_warehouseobjectRequired
Show child attributesHide child attributes
idstring

Id of the SQL warehouse to grant permission on.

Example: e9ca293f79a74b5c

permissionstring

Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".

Values: CAN_MANAGE, CAN_USE, IS_OWNER

Example: CAN_USE

serving_endpointobjectRequired
Show child attributesHide child attributes
namestring

Name of the serving endpoint to grant permission on.

Example: databricks-meta-llama-3-1-70b-instruct

permissionstring

Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".

Values: CAN_MANAGE, CAN_QUERY, CAN_VIEW

Example: CAN_QUERY

jobobjectRequired
Show child attributesHide child attributes
idstring

Id of the job to grant permission on.

Example: 1234

permissionstring

Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".

Values: CAN_MANAGE, IS_OWNER, CAN_MANAGE_RUN, CAN_VIEW

Example: CAN_VIEW

uc_securableobjectRequired
Show child attributesHide child attributes
securable_full_namestring

Example: my-catalog.my-schema.my-volume

securable_typestring

Values: VOLUME, TABLE, FUNCTION, CONNECTION

Example: VOLUME

permissionstring

Values: READ_VOLUME, WRITE_VOLUME, SELECT, EXECUTE, USE_CONNECTION, MODIFY

securable_kindstring

The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.

databaseobjectRequired
Show child attributesHide child attributes
instance_namestring

Example: my-database-instance

database_namestring

Example: my-database

permissionstring

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

genie_spaceobjectRequired
Show child attributesHide child attributes
namestring

Example: my-genie-space

space_idstring

Example: 550e8400-e29b-41d4-a716-446655440000

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_RUN, CAN_VIEW

Example: CAN_MANAGE

experimentobjectRequired
Show child attributesHide child attributes
experiment_idstring

Example: 1021971371025173

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_READ

Example: CAN_MANAGE

appobjectRequired
Show child attributesHide child attributes
namestring

Example: my-app

permissionstring

Values: CAN_USE

Example: CAN_USE

postgresobjectRequired
Show child attributesHide child attributes
branchstring

Example: projects/proj-abc123/branches/branch-xyz789

databasestring

Example: projects/proj-abc123/branches/branch-xyz789/databases/db-456

permissionstring

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

service_principal_idint64
service_principal_namestring
default_source_code_pathstring

The default workspace file system path of the source code from which app deployment are created. This field tracks the workspace source code path of the last active deployment.

Example: /Workspace/user@test.com/my_custom_app

default_git_sourceobjectBeta

The Git source of the app's most recent active deployment, including the repository configuration and the resolved reference. Populated by the system after a Git-based deployment and used as the default reference when automatic deployments are enabled.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

budget_policy_idstringPublic Preview

Constraints: = 36 characters

effective_budget_policy_idstringPublic Preview
service_principal_client_idstring
user_api_scopesarray of stringPublic Preview
idstring

The unique identifier of the app.

effective_user_api_scopesarray of stringPublic Preview

The effective api scopes granted to the user access token.

oauth2_app_integration_idstringPublic Preview
oauth2_app_client_idstringPublic Preview
compute_sizestring

Values: MEDIUM, LARGE, XLARGE

usage_policy_idstringPublic Preview

Constraints: = 36 characters

effective_usage_policy_idstringPublic Preview
git_repositoryobject

Git repository configuration for app deployments. When specified, deployments can reference code from this repository by providing only the git reference (branch, tag, or commit).

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

telemetry_export_destinationsarray of objectPublic Preview
Show child attributesHide child attributes
unity_catalogobjectRequiredPublic Preview
Show child attributesHide child attributes
logs_tablestringPublic Preview

Unity Catalog table for OTEL logs.

metrics_tablestringPublic Preview

Unity Catalog table for OTEL metrics.

traces_tablestringPublic Preview

Unity Catalog table for OTEL traces (spans).

thumbnail_urlstring

The URL of the thumbnail image for the app.

Example: /ajax-api/2.0/thumbnails/raw/apps/{id}/SMALL_DEFAULT.png

source_code_pathstringRequiredBeta

Example: /Workspace/user@test.com/my_custom_app

git_sourceobjectRequiredBeta

The Git source to deploy from, specifying the reference to check out (branch, tag, or commit) and an optional path to the app source code within the repository configured in git_repository.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

Response

Returns the App object.

Update GA

PATCH /api/2.0/apps/{app.name}

Updates the app with the supplied name.

API scopes: apps

Parameters

appobjectpath
Show child attributesHide child attributes
namestring

The name of the app. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.

Example: my-custom-app

Constraints: [ 2 .. 30 ] characters

descriptionstring

The description of the app.

Example: My app description.

Constraints: <= 500 characters

compute_statusobject
Show child attributesHide child attributes
statestring

State of the app compute.

Values: COMPUTE_STATE_UNSPECIFIED, ERROR, DELETING, STARTING, STOPPING, UPDATING, STOPPED, ACTIVE

messagestring

Compute status message

Example: App compute is active.

app_statusobject
Show child attributesHide child attributes
statestring

State of the application.

Values: APPLICATION_STATE_UNSPECIFIED, DEPLOYING, RUNNING, CRASHED, UNAVAILABLE

messagestring

Application status message

Example: Application is running.

urlstring

The URL of the app once it is deployed.

Example: my-custom-app-123.cloud.databricksapps.com

active_deploymentobject

The active deployment of the app. A deployment is considered active when it has been deployed to the app compute.

Show child attributesHide child attributes
deployment_idstring

The unique id of the deployment.

Example: 01ef0bda89f21f08a8351f41e4a9b948

source_code_pathstring

The workspace file system path of the source code used to create the app deployment. This is different from deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.

Example: /Workspace/user@test.com/my_custom_app

git_sourceobject

Git repository to use as the source for the app deployment.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

modestring

The mode of which the deployment will manage the source code.

Values: MODE_UNSPECIFIED, SNAPSHOT, AUTO_SYNC

deployment_artifactsobject

The deployment artifacts for an app.

Show child attributesHide child attributes
source_code_pathstring

The snapshotted workspace file system path of the source code loaded by the deployed app.

Example: /Workspace/Users/9627a015-e892-43f7-9085-eec3892da408/src/01ef1a1ed75d1964b62234a35efa61fc

statusobject

Status and status message of the deployment

Show child attributesHide child attributes
statestring

State of the deployment.

Values: STATE_UNSPECIFIED, SUCCEEDED, FAILED, IN_PROGRESS, CANCELLED

messagestring

Message corresponding with the deployment state.

Example: Deployment is in progress.

create_timestring

The creation time of the deployment. Formatted timestamp in ISO 6801.

creatorstring

The email of the user creates the deployment.

Example: user@test.com

update_timestring

The update time of the deployment. Formatted timestamp in ISO 6801.

commandarray of string

The command with which to run the app. This will override the command specified in the app.yaml file.

Example: python app.py

env_varsarray of object

The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.

Show child attributesHide child attributes
namestring

The name of the environment variable.

Example: VOLUME_URI

valuestringRequired

The value for the environment variable.

Example: /Volumes/catalog-name/schema-name/dir-name

value_fromstringRequired

The name of an external <Databricks> resource that contains the value, such as a secret or a database table.

Example: volume

create_timestring

The creation time of the app. Formatted timestamp in ISO 6801.

creatorstring

The email of the user that created the app.

Example: user@test.com

update_timestring

The update time of the app. Formatted timestamp in ISO 6801.

updaterstring

The email of the user that last updated the app.

Example: user@test.com

pending_deploymentobject

The pending deployment of the app. A deployment is considered pending when it is being prepared for deployment to the app compute.

Show child attributesHide child attributes
deployment_idstring

The unique id of the deployment.

Example: 01ef0bda89f21f08a8351f41e4a9b948

source_code_pathstring

The workspace file system path of the source code used to create the app deployment. This is different from deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.

Example: /Workspace/user@test.com/my_custom_app

git_sourceobject

Git repository to use as the source for the app deployment.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

modestring

The mode of which the deployment will manage the source code.

Values: MODE_UNSPECIFIED, SNAPSHOT, AUTO_SYNC

deployment_artifactsobject

The deployment artifacts for an app.

Show child attributesHide child attributes
source_code_pathstring

The snapshotted workspace file system path of the source code loaded by the deployed app.

Example: /Workspace/Users/9627a015-e892-43f7-9085-eec3892da408/src/01ef1a1ed75d1964b62234a35efa61fc

statusobject

Status and status message of the deployment

Show child attributesHide child attributes
statestring

State of the deployment.

Values: STATE_UNSPECIFIED, SUCCEEDED, FAILED, IN_PROGRESS, CANCELLED

messagestring

Message corresponding with the deployment state.

Example: Deployment is in progress.

create_timestring

The creation time of the deployment. Formatted timestamp in ISO 6801.

creatorstring

The email of the user creates the deployment.

Example: user@test.com

update_timestring

The update time of the deployment. Formatted timestamp in ISO 6801.

commandarray of string

The command with which to run the app. This will override the command specified in the app.yaml file.

Example: python app.py

env_varsarray of object

The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.

Show child attributesHide child attributes
namestring

The name of the environment variable.

Example: VOLUME_URI

valuestringRequired

The value for the environment variable.

Example: /Volumes/catalog-name/schema-name/dir-name

value_fromstringRequired

The name of an external <Databricks> resource that contains the value, such as a secret or a database table.

Example: volume

resourcesarray of object

Resources for the app.

Show child attributesHide child attributes
namestring

Name of the App Resource.

Example: api-key

Constraints: [ 2 .. 30 ] characters

descriptionstring

Description of the App Resource.

Example: API key for external service.

Constraints: <= 50 characters

secretobjectRequired
Show child attributesHide child attributes
scopestring

Scope of the secret to grant permission on.

Example: my-scope

keystring

Key of the secret to grant permission on.

Example: my-key

permissionstring

Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".

Values: READ, WRITE, MANAGE

Example: READ

sql_warehouseobjectRequired
Show child attributesHide child attributes
idstring

Id of the SQL warehouse to grant permission on.

Example: e9ca293f79a74b5c

permissionstring

Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".

Values: CAN_MANAGE, CAN_USE, IS_OWNER

Example: CAN_USE

serving_endpointobjectRequired
Show child attributesHide child attributes
namestring

Name of the serving endpoint to grant permission on.

Example: databricks-meta-llama-3-1-70b-instruct

permissionstring

Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".

Values: CAN_MANAGE, CAN_QUERY, CAN_VIEW

Example: CAN_QUERY

jobobjectRequired
Show child attributesHide child attributes
idstring

Id of the job to grant permission on.

Example: 1234

permissionstring

Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".

Values: CAN_MANAGE, IS_OWNER, CAN_MANAGE_RUN, CAN_VIEW

Example: CAN_VIEW

uc_securableobjectRequired
Show child attributesHide child attributes
securable_full_namestring

Example: my-catalog.my-schema.my-volume

securable_typestring

Values: VOLUME, TABLE, FUNCTION, CONNECTION

Example: VOLUME

permissionstring

Values: READ_VOLUME, WRITE_VOLUME, SELECT, EXECUTE, USE_CONNECTION, MODIFY

securable_kindstring

The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.

databaseobjectRequired
Show child attributesHide child attributes
instance_namestring

Example: my-database-instance

database_namestring

Example: my-database

permissionstring

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

genie_spaceobjectRequired
Show child attributesHide child attributes
namestring

Example: my-genie-space

space_idstring

Example: 550e8400-e29b-41d4-a716-446655440000

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_RUN, CAN_VIEW

Example: CAN_MANAGE

experimentobjectRequired
Show child attributesHide child attributes
experiment_idstring

Example: 1021971371025173

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_READ

Example: CAN_MANAGE

appobjectRequired
Show child attributesHide child attributes
namestring

Example: my-app

permissionstring

Values: CAN_USE

Example: CAN_USE

postgresobjectRequired
Show child attributesHide child attributes
branchstring

Example: projects/proj-abc123/branches/branch-xyz789

databasestring

Example: projects/proj-abc123/branches/branch-xyz789/databases/db-456

permissionstring

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

service_principal_idint64
service_principal_namestring
default_source_code_pathstring

The default workspace file system path of the source code from which app deployment are created. This field tracks the workspace source code path of the last active deployment.

Example: /Workspace/user@test.com/my_custom_app

default_git_sourceobjectBeta

The Git source of the app's most recent active deployment, including the repository configuration and the resolved reference. Populated by the system after a Git-based deployment and used as the default reference when automatic deployments are enabled.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

budget_policy_idstringPublic Preview

Constraints: = 36 characters

effective_budget_policy_idstringPublic Preview
service_principal_client_idstring
user_api_scopesarray of stringPublic Preview
idstring

The unique identifier of the app.

effective_user_api_scopesarray of stringPublic Preview

The effective api scopes granted to the user access token.

oauth2_app_integration_idstringPublic Preview
oauth2_app_client_idstringPublic Preview
compute_sizestring

Values: MEDIUM, LARGE, XLARGE

usage_policy_idstringPublic Preview

Constraints: = 36 characters

effective_usage_policy_idstringPublic Preview
git_repositoryobject

Git repository configuration for app deployments. When specified, deployments can reference code from this repository by providing only the git reference (branch, tag, or commit).

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

telemetry_export_destinationsarray of objectPublic Preview
Show child attributesHide child attributes
unity_catalogobjectRequiredPublic Preview
Show child attributesHide child attributes
logs_tablestringPublic Preview

Unity Catalog table for OTEL logs.

metrics_tablestringPublic Preview

Unity Catalog table for OTEL metrics.

traces_tablestringPublic Preview

Unity Catalog table for OTEL traces (spans).

thumbnail_urlstring

The URL of the thumbnail image for the app.

Example: /ajax-api/2.0/thumbnails/raw/apps/{id}/SMALL_DEFAULT.png

source_code_pathstringRequiredBeta

Example: /Workspace/user@test.com/my_custom_app

git_sourceobjectRequiredBeta

The Git source to deploy from, specifying the reference to check out (branch, tag, or commit) and an optional path to the app source code within the repository configured in git_repository.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

Response

Returns the App object.

Delete GA

DELETE /api/2.0/apps/{name}

Deletes an app.

API scopes: apps

Parameters

namestringpath

The name of the app.

Response

Returns the App object.

Async Update App GA

POST /api/2.0/apps/{app_name}/update

Creates an app update and starts the update process. The update process is asynchronous and the status of the update can be checked with the GetAppUpdate method.

API scopes: apps

Parameters

app_namestringpath

Request body

appobject
Show child attributesHide child attributes
namestring

The name of the app. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.

Example: my-custom-app

Constraints: [ 2 .. 30 ] characters

descriptionstring

The description of the app.

Example: My app description.

Constraints: <= 500 characters

compute_statusobject
Show child attributesHide child attributes
statestring

State of the app compute.

Values: COMPUTE_STATE_UNSPECIFIED, ERROR, DELETING, STARTING, STOPPING, UPDATING, STOPPED, ACTIVE

messagestring

Compute status message

Example: App compute is active.

app_statusobject
Show child attributesHide child attributes
statestring

State of the application.

Values: APPLICATION_STATE_UNSPECIFIED, DEPLOYING, RUNNING, CRASHED, UNAVAILABLE

messagestring

Application status message

Example: Application is running.

urlstring

The URL of the app once it is deployed.

Example: my-custom-app-123.cloud.databricksapps.com

active_deploymentobject

The active deployment of the app. A deployment is considered active when it has been deployed to the app compute.

Show child attributesHide child attributes
deployment_idstring

The unique id of the deployment.

Example: 01ef0bda89f21f08a8351f41e4a9b948

source_code_pathstring

The workspace file system path of the source code used to create the app deployment. This is different from deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.

Example: /Workspace/user@test.com/my_custom_app

git_sourceobject

Git repository to use as the source for the app deployment.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

modestring

The mode of which the deployment will manage the source code.

Values: MODE_UNSPECIFIED, SNAPSHOT, AUTO_SYNC

deployment_artifactsobject

The deployment artifacts for an app.

Show child attributesHide child attributes
source_code_pathstring

The snapshotted workspace file system path of the source code loaded by the deployed app.

Example: /Workspace/Users/9627a015-e892-43f7-9085-eec3892da408/src/01ef1a1ed75d1964b62234a35efa61fc

statusobject

Status and status message of the deployment

Show child attributesHide child attributes
statestring

State of the deployment.

Values: STATE_UNSPECIFIED, SUCCEEDED, FAILED, IN_PROGRESS, CANCELLED

messagestring

Message corresponding with the deployment state.

Example: Deployment is in progress.

create_timestring

The creation time of the deployment. Formatted timestamp in ISO 6801.

creatorstring

The email of the user creates the deployment.

Example: user@test.com

update_timestring

The update time of the deployment. Formatted timestamp in ISO 6801.

commandarray of string

The command with which to run the app. This will override the command specified in the app.yaml file.

Example: python app.py

env_varsarray of object

The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.

Show child attributesHide child attributes
namestring

The name of the environment variable.

Example: VOLUME_URI

valuestringRequired

The value for the environment variable.

Example: /Volumes/catalog-name/schema-name/dir-name

value_fromstringRequired

The name of an external <Databricks> resource that contains the value, such as a secret or a database table.

Example: volume

create_timestring

The creation time of the app. Formatted timestamp in ISO 6801.

creatorstring

The email of the user that created the app.

Example: user@test.com

update_timestring

The update time of the app. Formatted timestamp in ISO 6801.

updaterstring

The email of the user that last updated the app.

Example: user@test.com

pending_deploymentobject

The pending deployment of the app. A deployment is considered pending when it is being prepared for deployment to the app compute.

Show child attributesHide child attributes
deployment_idstring

The unique id of the deployment.

Example: 01ef0bda89f21f08a8351f41e4a9b948

source_code_pathstring

The workspace file system path of the source code used to create the app deployment. This is different from deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.

Example: /Workspace/user@test.com/my_custom_app

git_sourceobject

Git repository to use as the source for the app deployment.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

modestring

The mode of which the deployment will manage the source code.

Values: MODE_UNSPECIFIED, SNAPSHOT, AUTO_SYNC

deployment_artifactsobject

The deployment artifacts for an app.

Show child attributesHide child attributes
source_code_pathstring

The snapshotted workspace file system path of the source code loaded by the deployed app.

Example: /Workspace/Users/9627a015-e892-43f7-9085-eec3892da408/src/01ef1a1ed75d1964b62234a35efa61fc

statusobject

Status and status message of the deployment

Show child attributesHide child attributes
statestring

State of the deployment.

Values: STATE_UNSPECIFIED, SUCCEEDED, FAILED, IN_PROGRESS, CANCELLED

messagestring

Message corresponding with the deployment state.

Example: Deployment is in progress.

create_timestring

The creation time of the deployment. Formatted timestamp in ISO 6801.

creatorstring

The email of the user creates the deployment.

Example: user@test.com

update_timestring

The update time of the deployment. Formatted timestamp in ISO 6801.

commandarray of string

The command with which to run the app. This will override the command specified in the app.yaml file.

Example: python app.py

env_varsarray of object

The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.

Show child attributesHide child attributes
namestring

The name of the environment variable.

Example: VOLUME_URI

valuestringRequired

The value for the environment variable.

Example: /Volumes/catalog-name/schema-name/dir-name

value_fromstringRequired

The name of an external <Databricks> resource that contains the value, such as a secret or a database table.

Example: volume

resourcesarray of object

Resources for the app.

Show child attributesHide child attributes
namestring

Name of the App Resource.

Example: api-key

Constraints: [ 2 .. 30 ] characters

descriptionstring

Description of the App Resource.

Example: API key for external service.

Constraints: <= 50 characters

secretobjectRequired
Show child attributesHide child attributes
scopestring

Scope of the secret to grant permission on.

Example: my-scope

keystring

Key of the secret to grant permission on.

Example: my-key

permissionstring

Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".

Values: READ, WRITE, MANAGE

Example: READ

sql_warehouseobjectRequired
Show child attributesHide child attributes
idstring

Id of the SQL warehouse to grant permission on.

Example: e9ca293f79a74b5c

permissionstring

Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".

Values: CAN_MANAGE, CAN_USE, IS_OWNER

Example: CAN_USE

serving_endpointobjectRequired
Show child attributesHide child attributes
namestring

Name of the serving endpoint to grant permission on.

Example: databricks-meta-llama-3-1-70b-instruct

permissionstring

Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".

Values: CAN_MANAGE, CAN_QUERY, CAN_VIEW

Example: CAN_QUERY

jobobjectRequired
Show child attributesHide child attributes
idstring

Id of the job to grant permission on.

Example: 1234

permissionstring

Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".

Values: CAN_MANAGE, IS_OWNER, CAN_MANAGE_RUN, CAN_VIEW

Example: CAN_VIEW

uc_securableobjectRequired
Show child attributesHide child attributes
securable_full_namestring

Example: my-catalog.my-schema.my-volume

securable_typestring

Values: VOLUME, TABLE, FUNCTION, CONNECTION

Example: VOLUME

permissionstring

Values: READ_VOLUME, WRITE_VOLUME, SELECT, EXECUTE, USE_CONNECTION, MODIFY

securable_kindstring

The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.

databaseobjectRequired
Show child attributesHide child attributes
instance_namestring

Example: my-database-instance

database_namestring

Example: my-database

permissionstring

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

genie_spaceobjectRequired
Show child attributesHide child attributes
namestring

Example: my-genie-space

space_idstring

Example: 550e8400-e29b-41d4-a716-446655440000

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_RUN, CAN_VIEW

Example: CAN_MANAGE

experimentobjectRequired
Show child attributesHide child attributes
experiment_idstring

Example: 1021971371025173

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_READ

Example: CAN_MANAGE

appobjectRequired
Show child attributesHide child attributes
namestring

Example: my-app

permissionstring

Values: CAN_USE

Example: CAN_USE

postgresobjectRequired
Show child attributesHide child attributes
branchstring

Example: projects/proj-abc123/branches/branch-xyz789

databasestring

Example: projects/proj-abc123/branches/branch-xyz789/databases/db-456

permissionstring

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

service_principal_idint64
service_principal_namestring
default_source_code_pathstring

The default workspace file system path of the source code from which app deployment are created. This field tracks the workspace source code path of the last active deployment.

Example: /Workspace/user@test.com/my_custom_app

default_git_sourceobjectBeta

The Git source of the app's most recent active deployment, including the repository configuration and the resolved reference. Populated by the system after a Git-based deployment and used as the default reference when automatic deployments are enabled.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

budget_policy_idstringPublic Preview

Constraints: = 36 characters

effective_budget_policy_idstringPublic Preview
service_principal_client_idstring
user_api_scopesarray of stringPublic Preview
idstring

The unique identifier of the app.

effective_user_api_scopesarray of stringPublic Preview

The effective api scopes granted to the user access token.

oauth2_app_integration_idstringPublic Preview
oauth2_app_client_idstringPublic Preview
compute_sizestring

Values: MEDIUM, LARGE, XLARGE

usage_policy_idstringPublic Preview

Constraints: = 36 characters

effective_usage_policy_idstringPublic Preview
git_repositoryobject

Git repository configuration for app deployments. When specified, deployments can reference code from this repository by providing only the git reference (branch, tag, or commit).

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

telemetry_export_destinationsarray of objectPublic Preview
Show child attributesHide child attributes
unity_catalogobjectRequiredPublic Preview
Show child attributesHide child attributes
logs_tablestringPublic Preview

Unity Catalog table for OTEL logs.

metrics_tablestringPublic Preview

Unity Catalog table for OTEL metrics.

traces_tablestringPublic Preview

Unity Catalog table for OTEL traces (spans).

thumbnail_urlstring

The URL of the thumbnail image for the app.

Example: /ajax-api/2.0/thumbnails/raw/apps/{id}/SMALL_DEFAULT.png

source_code_pathstringRequiredBeta

Example: /Workspace/user@test.com/my_custom_app

git_sourceobjectRequiredBeta

The Git source to deploy from, specifying the reference to check out (branch, tag, or commit) and an optional path to the app source code within the repository configured in git_repository.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

update_maskstring

Response

statusobject
Show child attributesHide child attributes
statestring

Values: UPDATE_STATE_UNSPECIFIED, NOT_UPDATED, IN_PROGRESS, SUCCEEDED, FAILED

messagestring
descriptionstring
budget_policy_idstring
resourcesarray of object
Show child attributesHide child attributes
namestring

Name of the App Resource.

Example: api-key

Constraints: [ 2 .. 30 ] characters

descriptionstring

Description of the App Resource.

Example: API key for external service.

Constraints: <= 50 characters

secretobjectRequired
Show child attributesHide child attributes
scopestring

Scope of the secret to grant permission on.

Example: my-scope

keystring

Key of the secret to grant permission on.

Example: my-key

permissionstring

Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".

Values: READ, WRITE, MANAGE

Example: READ

sql_warehouseobjectRequired
Show child attributesHide child attributes
idstring

Id of the SQL warehouse to grant permission on.

Example: e9ca293f79a74b5c

permissionstring

Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".

Values: CAN_MANAGE, CAN_USE, IS_OWNER

Example: CAN_USE

serving_endpointobjectRequired
Show child attributesHide child attributes
namestring

Name of the serving endpoint to grant permission on.

Example: databricks-meta-llama-3-1-70b-instruct

permissionstring

Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".

Values: CAN_MANAGE, CAN_QUERY, CAN_VIEW

Example: CAN_QUERY

jobobjectRequired
Show child attributesHide child attributes
idstring

Id of the job to grant permission on.

Example: 1234

permissionstring

Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".

Values: CAN_MANAGE, IS_OWNER, CAN_MANAGE_RUN, CAN_VIEW

Example: CAN_VIEW

uc_securableobjectRequired
Show child attributesHide child attributes
securable_full_namestring

Example: my-catalog.my-schema.my-volume

securable_typestring

Values: VOLUME, TABLE, FUNCTION, CONNECTION

Example: VOLUME

permissionstring

Values: READ_VOLUME, WRITE_VOLUME, SELECT, EXECUTE, USE_CONNECTION, MODIFY

securable_kindstring

The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.

databaseobjectRequired
Show child attributesHide child attributes
instance_namestring

Example: my-database-instance

database_namestring

Example: my-database

permissionstring

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

genie_spaceobjectRequired
Show child attributesHide child attributes
namestring

Example: my-genie-space

space_idstring

Example: 550e8400-e29b-41d4-a716-446655440000

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_RUN, CAN_VIEW

Example: CAN_MANAGE

experimentobjectRequired
Show child attributesHide child attributes
experiment_idstring

Example: 1021971371025173

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_READ

Example: CAN_MANAGE

appobjectRequired
Show child attributesHide child attributes
namestring

Example: my-app

permissionstring

Values: CAN_USE

Example: CAN_USE

postgresobjectRequired
Show child attributesHide child attributes
branchstring

Example: projects/proj-abc123/branches/branch-xyz789

databasestring

Example: projects/proj-abc123/branches/branch-xyz789/databases/db-456

permissionstring

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

user_api_scopesarray of string
compute_sizestring

Values: MEDIUM, LARGE, XLARGE

usage_policy_idstring
git_repositoryobject
Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

Get App Update GA

GET /api/2.0/apps/{app_name}/update

Gets the status of an app update.

API scopes: apps

Parameters

app_namestringpath

The name of the app.

Response

statusobject
Show child attributesHide child attributes
statestring

Values: UPDATE_STATE_UNSPECIFIED, NOT_UPDATED, IN_PROGRESS, SUCCEEDED, FAILED

messagestring
descriptionstring
budget_policy_idstring
resourcesarray of object
Show child attributesHide child attributes
namestring

Name of the App Resource.

Example: api-key

Constraints: [ 2 .. 30 ] characters

descriptionstring

Description of the App Resource.

Example: API key for external service.

Constraints: <= 50 characters

secretobjectRequired
Show child attributesHide child attributes
scopestring

Scope of the secret to grant permission on.

Example: my-scope

keystring

Key of the secret to grant permission on.

Example: my-key

permissionstring

Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".

Values: READ, WRITE, MANAGE

Example: READ

sql_warehouseobjectRequired
Show child attributesHide child attributes
idstring

Id of the SQL warehouse to grant permission on.

Example: e9ca293f79a74b5c

permissionstring

Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".

Values: CAN_MANAGE, CAN_USE, IS_OWNER

Example: CAN_USE

serving_endpointobjectRequired
Show child attributesHide child attributes
namestring

Name of the serving endpoint to grant permission on.

Example: databricks-meta-llama-3-1-70b-instruct

permissionstring

Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".

Values: CAN_MANAGE, CAN_QUERY, CAN_VIEW

Example: CAN_QUERY

jobobjectRequired
Show child attributesHide child attributes
idstring

Id of the job to grant permission on.

Example: 1234

permissionstring

Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".

Values: CAN_MANAGE, IS_OWNER, CAN_MANAGE_RUN, CAN_VIEW

Example: CAN_VIEW

uc_securableobjectRequired
Show child attributesHide child attributes
securable_full_namestring

Example: my-catalog.my-schema.my-volume

securable_typestring

Values: VOLUME, TABLE, FUNCTION, CONNECTION

Example: VOLUME

permissionstring

Values: READ_VOLUME, WRITE_VOLUME, SELECT, EXECUTE, USE_CONNECTION, MODIFY

securable_kindstring

The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.

databaseobjectRequired
Show child attributesHide child attributes
instance_namestring

Example: my-database-instance

database_namestring

Example: my-database

permissionstring

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

genie_spaceobjectRequired
Show child attributesHide child attributes
namestring

Example: my-genie-space

space_idstring

Example: 550e8400-e29b-41d4-a716-446655440000

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_RUN, CAN_VIEW

Example: CAN_MANAGE

experimentobjectRequired
Show child attributesHide child attributes
experiment_idstring

Example: 1021971371025173

permissionstring

Values: CAN_MANAGE, CAN_EDIT, CAN_READ

Example: CAN_MANAGE

appobjectRequired
Show child attributesHide child attributes
namestring

Example: my-app

permissionstring

Values: CAN_USE

Example: CAN_USE

postgresobjectRequired
Show child attributesHide child attributes
branchstring

Example: projects/proj-abc123/branches/branch-xyz789

databasestring

Example: projects/proj-abc123/branches/branch-xyz789/databases/db-456

permissionstring

Values: CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

user_api_scopesarray of string
compute_sizestring

Values: MEDIUM, LARGE, XLARGE

usage_policy_idstring
git_repositoryobject
Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

Start App GA

POST /api/2.0/apps/{name}/start

Start the last active deployment of the app in the workspace.

API scopes: apps

Parameters

namestringpath

The name of the app.

Response

Returns the App object.

Stop App GA

POST /api/2.0/apps/{name}/stop

Stops the active deployment of the app in the workspace.

API scopes: apps

Parameters

namestringpath

The name of the app.

Response

Returns the App object.